---
title: "Historical contract: Create importer"
description: "Historical Ordering.co API contract for POST /importers (Create importer), kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/create-importer/
---

# Historical contract: Create importer

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Create importer

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/importers/POST/importers)

## Parameters

```json
[
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  }
]
```

## Request body

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "name",
          "slug",
          "type"
        ],
        "properties": {
          "name": {
            "type": "string"
          },
          "slug": {
            "type": "string"
          },
          "type": {
            "type": "string"
          },
          "mapping": {
            "type": "string",
            "description": "{     \"product_id\": INTEGER, (Required without external_product_id)(CSV position from 0)     \"external_product_id: INTEGER, (Required without product_id)(CSV position from 0)     \"external_product_key\": \"name_of_the_metafield\",     \"category_id\": INTEGER, (Required without external_category_id)(CSV position from 0)     \"external_category_id: INTEGER, (Required without category_id)(CSV position from 0)     \"external_category_key\": \"name_of_the_metafield\",     \"business_id\": INTEGER, (Required without external_business_id)(CSV position from 0)     \"external_business_id: INTEGER, (Required without business_id)(CSV position from 0)     \"external_business_key\": \"name_of_the_metafield\",     \"fields\": { (Fields to update)         \"model_product_name\": INTEGER, (CSV position from 0)     } }",
            "format": "json"
          }
        }
      }
    }
  }
}
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
